#define PioDiamond

vec3 Uncharted2ToneMapping(vec3 color){	
  float A = 1.;	
  float B = 0.50; 
  float C = 0.10; 
  float D = 0.20; 
  float E = 0.02; 
  float F = 0.30;

  color = ((color*(A*color+C*B)+D*E)/(color*(A*color+B)+D*F))-E/F;

	return color;
}

vec3 saturation(vec3 rgb, float adjustment){ 
   vec3 W = vec3(0.2125, 0.7154, 0.0721); 
   vec3 intensity = vec3(dot(rgb, W)); 
   return min(mix(intensity, rgb, adjustment), 1.);
}
